DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# repl-substring-list-target

## Name

repl-substring-list-target -- Return the target that matches in a string

## Synopsis

    (repl-substring-list-target string replace-list pos)

## Description

Returns the target in `replace-list` that matches in `string` at `pos` See also `repl-substring-list?`.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (repl-substring-list-target string replace-list pos)
      ;; Return the target that matches in a string
      (let loop ((list replace-list))
        (let ((target (car list))
    	  (repl   (car (cdr list)))
    	  (rest   (cdr (cdr list))))
          (if (repl-substring? string target pos)
    	  target
    	  (if (null? rest)
    	      #f
    	      (loop rest))))))

Prev | Home | Next
repl-substring-list? | Up | repl-substring-list-repl